# DataMapping

When importing data from an external source there are essentially three levels of interaction with LUSID.  (1) The data is a raw document that LUSID does not understand. You can store and retrieve it but it does not full interact with other documents inside LUSID  (2) The data has a map from fields and paths to 'properties' in LUSID. In essence, LUSID can then treat the data as weakly typed (decimal, string) data that can be returned through queries      and where various aggregation requests will then work.  (3) The data is fully translatable into LUSID and understood, in some sense, natively. This means that it can be used for context sensitive calculations such as pricing or risk calculations.  The data map object is designed to allow data to transition from step 1 to 2 and in some cases as an alternative for step 2 to 3.
## Properties

| Name | Type | Required | Description |
|------|------|----------|-------------|
| **data_definitions** | [List[DataDefinition]](DataDefinition.md) | Optional | A map from LUSID item keys to data definitions that define the names, types and degree of uniqueness of data provided to LUSID in structured data stores. |


## Usage

### Creating from keyword arguments

```python
from finbourne.sdk.services.lusid.models.DataMapping import DataMapping

instance = DataMapping(
    data_definitions=[]  # optional — A map from LUSID item keys to data definitions that define the names, types and degree of uniqueness of data provided to LUSID in structured data stores.
)
```


## Related Models

- [DataDefinition](DataDefinition.md) — used in `data_definitions`


[Back to top](#) · [Back to API list](../../api_endpoints.md) · [Back to Model list](../../models.md) · [Back to README](../../../../../README.md)

